Retrieves the collection of SpecimenCollectionKitOrder resources.
Retrieves the collection of SpecimenCollectionKitOrder resources.
Retrieves the collection of SpecimenCollectionKitOrder resources.
Authorization
apiKey In: header
Query Parameters
The collection page number
Return resources with `createdAt` greater than the given timestamp.
Return resources with `createdAt` greater than or equal to the given timestamp.
Return resources with `createdAt` less than the given timestamp.
Return resources with `createdAt` less than or equal to the given timestamp.
Exact match on one or more JSON values addressed by dotted JSON paths such as `metadata.id`.
Checks whether a dotted JSON path exists and resolves to a non-null value.
Case-insensitive partial match on one or more JSON values addressed by dotted JSON paths such as `metadata.id`.
Filter by identifier, IRI, or canonical identifier.
Filter by identifier, IRI, or canonical identifier.
Filter by identifier, IRI, or canonical identifier.
SpecimenCollectionKitOrder sort[createdAt]
Allowed values: "asc", "desc", "ASC", "DESC"
SpecimenCollectionKitOrder sort[id]
Allowed values: "asc", "desc", "ASC", "DESC"
Header Parameters
Language for Errors and Translatable properties
Allowed values: "de", "en", "fr"
Response Body
curl -X GET "https://example.com/sck/v1/orders?json_exact%5Bmetadata.id%5D=externalId&json_exact%5Bmetadata.id%5D=anotherId&json_exists%5Bmetadata.id%5D=true&json_search%5Bmetadata.id%5D=externalId&json_search%5Bmetadata.id%5D=anotherId" \ -H "accept-language: de"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kits": [ "/entity/1" ], "contact": { "firstName": "string", "lastName": "string", "email": "user@example.com", "phone": "string" }, "shippingAddress": { "address1": "string", "address2": "string", "zip": "string", "city": "string", "countryCode": "DE", "firstName": "string", "lastName": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "phone": "string", "company": "string", "name": "string" }, "metadata": { "property1": true, "property2": true }, "status": "new", "createdAt": "2019-08-24T14:15:22Z", "fulfilledAt": "2019-08-24T14:15:22Z", "outboundShipment": { "provider": "DHL", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "trackingCode": "string", "url": "string", "shipmentStatus": "confirmed", "providerStatus": "string", "rawProviderHistory": [ "string" ] }, "returnShipment": { "provider": "DHL", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "trackingCode": "string", "url": "string", "shipmentStatus": "confirmed", "providerStatus": "string", "rawProviderHistory": [ "string" ] } }]Retrieves a TestResult resource. GET
Retrieves a TestResult resource.
Creates a SpecimenCollectionKitOrderInput resource. POST
Create an SCK order. `productIds` accepts a UUID, canonical ID, or `/sck/v1/products/{id}` IRI for each product. Canonical IDs are recommended because product UUIDs are not guaranteed to match between demo and production environments.